# Uses of Interface
org.eclipse.birt.chart.model.attribute.AttributePackage

Packages that use AttributePackage
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of AttributePackage in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute declared as AttributePackage
Modifier and Type
Field
Description
`static final AttributePackage`
AttributePackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.birt.chart.model.attribute that return AttributePackage
Modifier and Type
Method
Description
`AttributePackage`
AttributeFactory.`getAttributePackage()`
Returns the package supported by this factory.

## Uses of AttributePackage in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement AttributePackage
Modifier and Type
Class
Description
`class`
`AttributePackageImpl`
An implementation of the model Package .
Methods in org.eclipse.birt.chart.model.attribute.impl that return AttributePackage
Modifier and Type
Method
Description
`AttributePackage`
AttributeFactoryImpl.`getAttributePackage()`
`static AttributePackage`
AttributeFactoryImpl.`getPackage()`
Deprecated.
`static AttributePackage`
AttributePackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.